Skip to main content
GET
/
delegation-addresses
/
{assetType}
List supported delegation addresses
curl --request GET \
  --url https://api.anchorage-staging.com/v2/delegation-addresses/{assetType} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "address": "<string>",
      "anchorageValidator": true,
      "name": "<string>",
      "validatorType": "<string>"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

assetType
string
required

The asset type to retrieve delegation addresses

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

List of delegation addresses for this asset

data
DelegationWalletAddressesDetails · object[]
required
page
Page · object
required

Pagination info